1. Reference
Fotor OpenAPI
  • Getting Started
    • Introduction
    • Access and Authentication
    • For Serverless Clients
    • Token Consumption
  • Reference
    • Get User Token Balance
      GET
    • Query Task Details
      GET
    • AI Upscaler API
      POST
    • AI Skin Retouch API
      POST
    • Image Generation API
      POST
    • Text to Image API
      POST
    • Image to Image (AI Art Effects) API
      POST
    • Background Remover API
      POST
    • AI Headshot API
      POST
    • Photo Colorize API
      POST
    • Photo Restoration API
      POST
    • AI Replace API
      POST
    • AI Expand API
      POST
    • AI Baby Generator API
      POST
  • Webhook
    • Webhook
  • AI Editor SDK
    • Getting Started
    • Get Sdk Temporary Token
      GET
  1. Reference

Query Task Details

GET
/v1/aiart/tasks/{taskId}
The getTask API endpoint is used to retrieve detailed information about a single task based on the taskId.

Important Notes#

Task ID Accuracy:
Ensure the accuracy of the taskId when making the request.
Task Completion Status:
Only when the status is 1 (completed), will the resultUrl or avatarResult contain valid data.
API Key Security:
Keep your API key secure and do not disclose it to others. Unauthorized access to your API key could compromise your application.

Request

Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-b.fotor.com/v1/aiart/tasks/' \
--header 'Authorization: Bearer <your api key>'

Responses

🟢200success
application/json
Bodyapplication/json

Example
{
    "code": "000",
    "msg": "success",
    "data": {
        "taskId": "6cf0082eba5044f1a9495e0eaf5e35ca",
        "createTime": 1732588068355,
        "updateTime": 1732588143312,
        "status": 1,
        "businessId": "75f15294e55540e198bb19cc0a068fd2",
        "type": "avatar",
        "resultUrl": "",
        "hasHsfw": false,
        "avatarResult": [
            {
                "templateId": "d691196a-6daa-4bf9-a011-5422d95ce03f",
                "images": [
                    {
                        "id": "4a19223cef7b4094a4f66c7de57f7ef4",
                        "url": "https://static.fotor.com.cn/aigc/business/75f15294e55540e198bb19cc0a068fd2/avatar/20241126/4a19223cef7b4094a4f66c7de57f7ef4.jpg",
                        "hasHsfw": false
                    }
                ]
            },
            {
                "templateId": "74d8ef37-4864-480b-927a-dde52e429609",
                "images": [
                    {
                        "id": "e20cb71b42474fc1a0750cb7627720b5",
                        "url": "https://static.fotor.com.cn/aigc/business/75f15294e55540e198bb19cc0a068fd2/avatar/20241126/e20cb71b42474fc1a0750cb7627720b5.jpg",
                        "hasHsfw": false
                    }
                ]
            },
            {
                "templateId": "7292c5b5-ecb0-4868-b4a4-849c73cc302c",
                "images": [
                    {
                        "id": "a2773ff7d3534a6ca8735ef7ad4f3f3d",
                        "url": "https://static.fotor.com.cn/aigc/business/75f15294e55540e198bb19cc0a068fd2/avatar/20241126/a2773ff7d3534a6ca8735ef7ad4f3f3d.jpg",
                        "hasHsfw": false
                    }
                ]
            }
        ]
    }
}
Modified at 2025-07-09 09:15:27
Previous
Get User Token Balance
Next
AI Upscaler API
Built with